#include <bits/stdc++.h>
#define ll long long

using namespace std;

int N;
int A[200010];
double P[200010];
ll suma;
double P1[200010];
int A1[200010];
bool jeste[200010];
double x;

int binarna (double n)
{
    int l = 0;
    int r = N - 1;
    while (l <= r)
    {
        int mid = (l + r) / 2;
        if (P1[mid] == n && !jeste[mid])
        {
            jeste[mid] = true;
            return mid;
        }
        if (P1[mid] < n)
            l = mid + 1;
        else
            r = mid - 1;
    }
    return -1;
}

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);
	cin >> N;
	for (int i = 0; i < N; i++)
    {
        cin >> A[i] >> P[i];
        P1[i] = P[i];
        suma += A[i];
    }
    sort(P1,P1+N);
    for (int i = 0; i < N; i++)
    {
        int j = binarna(P[i]);
        A1[j] = A[i];
    }
    for (int i = 0; i < N; i++)
    {
        x = max(x,suma * (P1[i] / 100));
        suma -= A1[i];
    }
    cout << fixed << x;
	return 0;
}